package com.chenyang.nse.bussiness.entity.vo;

public class ProgressInfo {
   private long totalCount;
   private long current;
   private String currentSchemaName;
   private long schemaCount;
   private long currentSchema;
   private String currentTable;
   private String currentState;
   private boolean ready;

   public ProgressInfo() {
   }

   public ProgressInfo(long totalCount) {
      this.totalCount = totalCount;
   }

   public void setProgress(long current, String currentTable) {
      this.current = current;
      this.currentTable = currentTable;
   }

   public long getTotalCount() {
      return this.totalCount;
   }

   public void setTotalCount(long totalCount) {
      this.totalCount = totalCount;
   }

   public long getCurrent() {
      return this.current;
   }

   public void setCurrent(long current) {
      this.current = current;
   }

   public String getCurrentTable() {
      return this.currentTable;
   }

   public void setCurrentTable(String currentTable) {
      this.currentTable = currentTable;
   }

   public String getCurrentState() {
      return this.currentState;
   }

   public void setCurrentState(String currentState) {
      this.currentState = currentState;
   }

   public long getSchemaCount() {
      return this.schemaCount;
   }

   public void setSchemaCount(long schemaCount) {
      this.schemaCount = schemaCount;
   }

   public String getCurrentSchemaName() {
      return this.currentSchemaName;
   }

   public void setCurrentSchemaName(String currentSchemaName) {
      this.currentSchemaName = currentSchemaName;
   }

   public long getCurrentSchema() {
      return this.currentSchema;
   }

   public void setCurrentSchema(long currentSchema) {
      this.currentSchema = currentSchema;
   }

   public boolean isReady() {
      return this.ready;
   }

   public void setReady(boolean ready) {
      this.ready = ready;
   }
}
